       >>SOURCE FORMAT IS FIXED
       identification division.
       program-id. lenseq2.
      *    copy line sequential input -> sequential variable record length.
       environment division.
       configuration section.
       input-output section.
       file-control.
           select infile  assign to "infile"
               organization is line sequential 
               access mode is sequential
               .
           select outfile  assign to "outfile"
               access mode is sequential
               .
       data division.
       file section.
       fd  infile
           record is varying in size
           depending on rec-length-in.
       01  rec-in-record.
           03  rec-in-byte             pic x(0001) occurs 256.
       fd  outfile
           record is varying in size
           from 4 to 256 characters
           depending on rec-length-out.
       01  rec-out-record.
           03  rec-out-byte            pic x(0001) occurs 256.
 
       working-storage section.
       01  programnamex                pic x(0008) value "lenseq2".
       01  programversion              pic x(0008) value "0.0.1".
       01  programcompiled             pic x(0010) value "07/03/2012".
       01  returncodex                 pic 9(05) comp.
       01  filler.
           03  rec-length-in           pic 9(05) comp.
           03  rec-length-out          pic 9(05) comp.
           03  sw-eof-input            pic x(0001)  value low-values.
             88   eof-input                         value high-value.

       procedure division.
       mainline section.
       p00.
           open input infile
           open output outfile
           perform read-seq-record
               until eof-input
           close infile
           close outfile
               .
       peos.
           stop run.
       read-seq-record section.
       p00.
           move spaces to rec-out-record
           read infile
               into rec-out-record
               at end
                   move high-value to sw-eof-input
                   go to peos    
                   .
           move rec-in-record to rec-out-record
           display "in:  " rec-length-in  " " rec-in-record
           compute rec-length-out = rec-length-in 
           display "out: " rec-length-out " " rec-out-record
           write rec-out-record
           display "done."
               .
       peos.
           exit.
